/*
 * Copyright (C) 2013 Darth Affe <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.helper;

import java.io.File;

/**
 *
 * @author Darth Affe
 */
public class PathHelper {

    private static final String CACHE_FOLDER = "cache/";
    public static final String CONFIG = "shootingstars.conf";

    public static String getCacheFolder() {
        File file = new File(CACHE_FOLDER);
        if (!file.exists()) {
            file.mkdirs();
        }
        return CACHE_FOLDER;
    }

    public static String replaceFileEnding(String path, String newEnding) {
        return path.substring(0, path.lastIndexOf(".") + 1) + newEnding;
    }
}
